Summary:	The Waf build system
Summary(pl.UTF-8):	System budowania Waf
Name:		waf
Version:	2.0.11
Release:	1
# note: waf book is on CC-BY-NC-ND (not included in binary package)
License:	BSD
Group:		Development/Building
Source0:	http://waf.io/%{name}-%{version}.tar.bz2
# Source0-md5:	aabe75f27556e8ed462e2af8e658175f
Patch0:		%{name}-path.patch
URL:		http://waf.io/
BuildRequires:	python >= 1:2.6
BuildRequires:	python-modules >= 1:2.6
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.234
Requires:	python(abi) = %{py_ver}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Waf is a general-purpose build system which was modelled from Scons.
Though it comes last in the arena of the build systems, we believe
that Waf is a vastly superior alternative to its competitors
(Autotools, Scons, Cmake, Ant, etc) for building software,

%description -l pl.UTF-8
Waf to system budowania ogólnego przeznaczenia opracowany na podstawie
Scons. Mimo że pojawił się jako ostatni na arenie systemów budowania,
autorzy wierzą, że przewyższa alternatywne narzędzia (Autotools,
Scons, Cmake, Ant itp.).

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e '1s,/usr/bin/.*python,%{__python},' waf-light waflib/processor.py waflib/extras/javatest.py

%build
# check waf-light
extras=
for f in waflib/extras/*.py ; do
	tool=$(basename "$f" .py)
	if [ "$tool" != "__init__" ]; then
		extras="${extras:+$extras,}$tool"
	fi
done
./waf-light --make-waf --strip --tools="$extras"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/waf/waflib/{Tools,extras}

cp -p waflib/*.py $RPM_BUILD_ROOT%{_datadir}/waf/waflib
cp -p waflib/Tools/*.py $RPM_BUILD_ROOT%{_datadir}/waf/waflib/Tools
cp -p waflib/extras/*.py $RPM_BUILD_ROOT%{_datadir}/waf/waflib/extras

install -D -p waf-light $RPM_BUILD_ROOT%{_bindir}/waf

%py_comp $RPM_BUILD_ROOT%{_datadir}/waf/waflib
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/waf/waflib

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.md
%attr(755,root,root) %{_bindir}/waf
%{_datadir}/waf
%changelog
* Tue Oct 02 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/waf.git;a=log;h=master

* Tue Oct 02 2018 Jan Palus <atler@pld-linux.org> 5e7a2f5
- up to 2.0.11

* Tue Jul 24 2018 Jan Palus <atler@pld-linux.org> cf2b81b
- up to 2.0.9

* Thu Sep 21 2017 Jan Palus <atler@pld-linux.org> 721c770
- missing patch; rel 2

* Thu Sep 21 2017 Jan Palus <atler@pld-linux.org> 6e7fe1f
- up to 2.0.0

* Sat Aug 05 2017 Jan Palus <atler@pld-linux.org> 3901bae
- up to 1.9.13

* Sun Jun 04 2017 Jan Palus <atler@pld-linux.org> fd5d043
- up to 1.9.12

* Mon May 08 2017 Jan Palus <atler@pld-linux.org> ffaa1a0
- up to 1.9.11

* Mon Feb 13 2017 Jan Palus <atler@pld-linux.org> cc53938
- up to 1.9.8

* Wed Dec 14 2016 Jan Palus <atler@pld-linux.org> 36f0435
- up to 1.9.7

* Tue Nov 29 2016 Jan Palus <atler@pld-linux.org> c5d8a09
- up to 1.9.6

* Sun Oct 09 2016 Jan Palus <atler@pld-linux.org> 79e08d2
- up to 1.9.5

* Mon Sep 12 2016 Jan Palus <atler@pld-linux.org> 3e8e4d2
- up to 1.9.4

* Sun Aug 21 2016 Jan Palus <atler@pld-linux.org> c387d35
- up to 1.9.3

* Sat Aug 06 2016 Jan Palus <atler@pld-linux.org> 240f1fd
- up to 1.9.2

* Thu Jul 07 2016 Jan Palus <atler@pld-linux.org> cb78d8a
- up to 1.9.1

* Tue Mar 08 2016 Jan Palus <atler@pld-linux.org> e225921
- up to 1.8.20

* Mon Jan 25 2016 Jan Palus <atler@pld-linux.org> 56478cc
- up to 1.8.19

* Fri Jan 08 2016 Jan Palus <atler@pld-linux.org> 0e1b51e
- up to 1.8.18

* Thu Dec 10 2015 Jan Palus <atler@pld-linux.org> 293932f
- up to 1.8.17

* Tue Oct 27 2015 Jan Palus <atler@pld-linux.org> edc96a2
- up to 1.8.16

